## wasistlos 0.1~guideos1

=== debian/changelog ===
wasistlos (0.1~guideos1) stable; urgency=medium

  * Fixed: Dependencies to work on GuideOS

 -- Actionschnitzel <actionschnitzel@guideos.de>  Thu, 06 Mar 2025 20:52:27 +0100
