=== debian/control ===
Source: wasistlos
Section: web
Priority: optional
Maintainer: Enes Hecan <nshecan@gmail.com>
Build-Depends: cmake,
               debhelper (>=10),
               intltool,
               libayatana-appindicator3-dev,
               libgtkmm-3.0-dev,
               libwebkit2gtk-4.1-dev,
               libcanberra-dev,
               pkgconf,
               libjpeg-dev
Standards-Version: 4.5.1
Homepage: https://github.com/xeco23/WasIstLos
Rules-Requires-Root: no

Package: wasistlos
Architecture: any
Depends: glib-networking,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         libayatana-appindicator3-1,
         libgtkmm-3.0-1v5,
         libwebkit2gtk-4.1-0,
         libcanberra0,
         libjpeg-dev
Description: An unofficial WhatsApp desktop application for Linux
