## wasistlos 1.7.0

=== debian/changelog ===
wasistlos (1.7.0-2) unstable; urgency=medium

  * Add debian/patches/reproducible-build.patch.
    Thanks to Chris Lamb <lamby@debian.org>. (Closes: #1094611)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 01 Feb 2025 16:10:04 +0000

wasistlos (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1085480)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sun, 20 Oct 2024 19:45:44 +0000
