=== debian/control ===
Source: wasistlos
Section: web
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libayatana-appindicator3-dev,
               libcanberra-dev,
               libgtkmm-3.0-dev,
               libwebkit2gtk-4.1-dev,
               pkgconf
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/WasIstLos
Vcs-Git: https://salsa.debian.org/debian/WasIstLos.git
Homepage: https://github.com/xeco23/WasIstLos
Rules-Requires-Root: no

Package: wasistlos
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Unofficial WhatsApp desktop application
 WhatsApp Messenger is a cross-platform mobile messaging app
 which allows you to exchange messages, via Internet, without
 having to pay for SMS.
 .
 In addition to basic messaging, WhatsApp users can create
 groups, send each other unlimited images, video and audio
 media messages.
 .
 WasIstLos uses the WhatsApp web interface and requires a
 phone with WhatsApp installed to work properly. Make sure
 the application is configured on your device before using
 this package.
 .
 This is an unofficial WhatsApp desktop application.
