=== debian/watch ===
version=4
https://github.com/xeco23/WasIstLos/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
